Get Season
Get a season’s details and artwork.
GET https://api.mediux.io/seasons/{seasonId}
- Episodes are summaries; use an episode endpoint for full details.
Response format, pagination and caching.
Response examples
Section titled “Response examples”Season with episode summaries
Section titled “Season with episode summaries”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 20, "kind": "season", "title": "Season 1", "seasonNumber": 1, "airDate": "2011-04-17", "metadataImages": { "poster": "https://images.mediux.io/metadata/seasons/20/poster.webp" }, "assets": { "posters": [], "backdrops": [] }, "show": { "id": 1399, "kind": "show", "title": "Example Show" }, "episodes": [ { "id": 3001, "kind": "episode", "title": "Winter Is Coming", "episodeNumber": 1, "airDate": "2011-04-17" }, { "id": 3002, "kind": "episode", "title": "The Kingsroad", "episodeNumber": 2, "airDate": "2011-04-24" } ] }}Season not found
Section titled “Season not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}